Bug 605455 - EXT3-fs error: do_get_write_access: OOM for frozen_buffer
EXT3-fs error: do_get_write_access: OOM for frozen_buffer
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
high Severity high
: rc
: ---
Assigned To: Lachlan McIlroy
chen yuwen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 21:20 EDT by Lachlan McIlroy
Modified: 2015-04-12 19:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 10:53:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to honour GFP_NOFAIL flag in __alloc_pages() (496 bytes, patch)
2010-06-17 21:54 EDT, Lachlan McIlroy
no flags Details | Diff

  None (edit)
Description Lachlan McIlroy 2010-06-17 21:20:21 EDT
Description of problem:

An ext3 filesystem reported errors and went read-only.

Jun 10 18:50:56 guardianwall kernel: do_get_write_access: OOM for frozen_buffer
Jun 10 18:50:56 guardianwall kernel: ext3_reserve_inode_write: aborting transaction: Out of memory in __ext3_journal_get_write_access
Jun 10 18:50:56 guardianwall kernel: EXT3-fs error (device dm-0) in ext3_reserve_inode_write: Out of memory
Jun 10 18:50:56 guardianwall kernel: Aborting journal on device dm-0.
Jun 10 18:50:56 guardianwall kernel: EXT3-fs error (device dm-0) in ext3_dirty_inode: Outof memory
Jun 10 18:50:56 guardianwall kernel: ext3_abort called.
Jun 10 18:50:56 guardianwall kernel: EXT3-fs error (device dm-0): ext3_journal_start_sb: Detected aborted journal
Jun 10 18:50:56 guardianwall kernel: Remounting filesystem read-only
Jun 10 18:50:56 guardianwall kernel: EXT3-fs error (device dm-0) in start_transaction: Journal has aborted

Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-78.0.17.EL

How reproducible:
Only seen once so far.

Steps to Reproduce:
Unknown

Additional info:
This is the same bug as this RHEL5 BZ:
https://bugzilla.redhat.com/show_bug.cgi?id=497257
Comment 2 Lachlan McIlroy 2010-06-17 21:54:16 EDT
Created attachment 424989 [details]
Patch to honour GFP_NOFAIL flag in __alloc_pages()
Comment 5 RHEL Product and Program Management 2010-10-12 13:52:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Vivek Goyal 2010-10-14 10:42:03 EDT
Committed in 89.43.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 10 chen yuwen 2010-12-10 05:05:23 EST
Confirmed patch in 2.6.9-89.43.EL. Setting SanityOnly.
Comment 11 errata-xmlrpc 2011-02-16 10:53:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html

Note You need to log in before you can comment on or make changes to this bug.